<?php

App::uses('AppComponent', 'Controller/Component');
App::uses('TemplateUtil', 'Lib');

class TemplateComponent extends AppComponent
{
    /**
     * run the form injection
     * For custom fields this add type / validation arrays to the template for fields
     *
     * @param   array       Data from $this->request->data
     * @param   object      Model Object for the primary model we are dealing with
     * @param   int|null    The ID if on edit or null of add
     */
    public function injectAdminForm($data, $Model, $id)
    {
        // get all the templates for the Form
        $Template = EvClassRegistry::init('EvTemplates.Template');

        $this->_controller->viewVars['fields'][$Model->alias . '.template_id']['class'] = 'ev-templates-template-selector';

        $this->_controller->set(
            'templates',
            $Template->selectList()
        );
    }

}
